summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
Diffstat (limited to 'source/l')
-rwxr-xr-xsource/l/PyQt-builder/PyQt-builder.SlackBuild105
-rw-r--r--source/l/PyQt-builder/PyQt-builder.url1
-rw-r--r--source/l/PyQt-builder/slack-desc19
-rwxr-xr-xsource/l/PyQt5/PyQt5.SlackBuild64
-rw-r--r--source/l/PyQt5/patches/pyqt5-python2-crash.patch13
-rwxr-xr-xsource/l/PyQt5_sip/PyQt5_sip.SlackBuild109
-rw-r--r--source/l/PyQt5_sip/PyQt5_sip.url1
-rw-r--r--source/l/PyQt5_sip/slack-desc19
-rwxr-xr-xsource/l/QScintilla/QScintilla.SlackBuild113
-rw-r--r--source/l/QScintilla/QScintilla_qsciscintillabase_qurl.diff11
-rw-r--r--source/l/SDL2_image/SDL2_image.url2
-rwxr-xr-xsource/l/sip/sip.SlackBuild91
-rw-r--r--source/l/sip/sip.url1
13 files changed, 331 insertions, 218 deletions
diff --git a/source/l/PyQt-builder/PyQt-builder.SlackBuild b/source/l/PyQt-builder/PyQt-builder.SlackBuild
new file mode 100755
index 000000000..740f0f883
--- /dev/null
+++ b/source/l/PyQt-builder/PyQt-builder.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Copyright 2023 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=PyQt-builder
+SRCNAM=PyQt-builder
+VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | grep -E -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+else
+ SLKCFLAGS="-O2"
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+python3 -m build --wheel --no-isolation || exit 1
+
+python3 -m installer --destdir "$PKG" dist/*.whl || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ LICENSE* COPYING* ChangeLog NEWS README TODO doc/* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+chown -R root:root $PKG/usr/doc
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz
diff --git a/source/l/PyQt-builder/PyQt-builder.url b/source/l/PyQt-builder/PyQt-builder.url
new file mode 100644
index 000000000..076330f31
--- /dev/null
+++ b/source/l/PyQt-builder/PyQt-builder.url
@@ -0,0 +1 @@
+https://pypi.org/project/PyQt-builder/
diff --git a/source/l/PyQt-builder/slack-desc b/source/l/PyQt-builder/slack-desc
new file mode 100644
index 000000000..6a7cb4114
--- /dev/null
+++ b/source/l/PyQt-builder/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+PyQt-builder: PyQt-builder (PEP 517 Compliant PyQt Builder)
+PyQt-builder:
+PyQt-builder: PyQt-builder is the PEP 517 compliant build system for PyQt and
+PyQt-builder: projects that extend PyQt. It extends the SIP build system and uses
+PyQt-builder: Qt's qmake to perform the actual compilation and installation of
+PyQt-builder: extension modules.
+PyQt-builder:
+PyQt-builder: Homepage: https://www.riverbankcomputing.com/software/pyqt-builder/
+PyQt-builder:
+PyQt-builder:
+PyQt-builder:
diff --git a/source/l/PyQt5/PyQt5.SlackBuild b/source/l/PyQt5/PyQt5.SlackBuild
index 6d7ea4fa9..f9f608fa2 100755
--- a/source/l/PyQt5/PyQt5.SlackBuild
+++ b/source/l/PyQt5/PyQt5.SlackBuild
@@ -1,9 +1,7 @@
#!/bin/sh
-# Slackware build script for PyQt
-
# Copyright 2008 Aleksandar Samardzic <asamardzic@gmail.com>
-# Copyright 2008, 2009, 2010, 2011, 2015, 2016, 2017, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2015, 2016, 2017, 2020, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -30,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=PyQt5
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-5}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -45,16 +43,22 @@ fi
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
elif [ "$ARCH" = "armv7hl" ]; then
SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
else
SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
@@ -70,7 +74,6 @@ NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
-PYTHON2LIB=$( python2 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
rm -rf $PKG
@@ -80,10 +83,6 @@ rm -rf ${PKGNAM}-$VERSION
tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION || exit 1
-# Remove code that is unneeded if Qt is not bundled and crashes on python2
-# https://www.riverbankcomputing.com/pipermail/pyqt/2019-July/041896.html
-zcat $CWD/patches/pyqt5-python2-crash.patch.gz | patch -p1 --verbose || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -92,48 +91,29 @@ find . \
-exec chmod 644 {} \+
# This avoids compiling a version number into KDE's .la files:
-export QTDIR=/usr/lib${LIBDIRSUFFIX}/qt5
export QT5DIR=/usr/lib${LIBDIRSUFFIX}/qt5
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
-## I see no reason at this point to include python2 support. We'll see later if
-## we can get away with that or not...
-## AND... it appears that we might not be able to, at least Plasma 5 does not
-## like to build that way, so we will add it back for now to fix using this
-## package with ktown. Better to merge Plasma in a working state (hopefully
-## soonish) and then worry about trying to get the last bits of python2 out
-## of the distribution, though honestly that may not occur until Slackware 15.1.
-python2 configure.py \
+sip-build \
--confirm-license \
- --verbose \
- --qsci-api \
- -q /usr/bin/qmake-qt5 \
+ --no-make \
+ --api-dir /usr/share/qt5/qsci/api/python \
+ --pep484-pyi \
|| exit 1
-make $NUMJOBS || make || exit 1
-# INSTALL_ROOT is needed for QtDesigner, the other Makefiles use DESTDIR
-make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
-
-mv $PKG/usr/bin/pyrcc5 $PKG/usr/bin/pyrcc5-py2
-mv $PKG/usr/bin/pyuic5 $PKG/usr/bin/pyuic5-py2
-mv $PKG/usr/bin/pylupdate5 $PKG/usr/bin/pylupdate5-py2
-rm -rf $PKG/$PYTHON2LIB/${PKGNAM}/uic/port_v3/
-make clean
-
-python3 configure.py \
- --confirm-license \
- --verbose \
- --qsci-api \
- -q /usr/bin/qmake-qt5 \
- || exit 1
+cd build || exit 1
+make $NUMJOBS || exit 1
+make INSTALL_ROOT=$PKG install || exit 1
+cd ..
-make $NUMJOBS || make || exit 1
-# INSTALL_ROOT is needed for QtDesigner, the other Makefiles use DESTDIR
-make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
+# Remove obsolete python2 uic modules:
+rm -rf $PKG/$PYTHON3LIB/PyQt5/uic/port_v2
-rm -rf $PKG/$PYTHON3LIB/${PKGNAM}/uic/port_v2/
+# Compile Python bytecode:
+python -m compileall -d / $PKG/usr/lib$LIBDIRSUFFIX
+python -O -m compileall -d / $PKG/usr/lib$LIBDIRSUFFIX
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -147,7 +127,7 @@ done
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- ChangeLog LICENSE* NEWS* README* \
+ ChangeLog LICENSE* NEWS* PKG-INFO* README* \
$PKG/usr/doc/$PKGNAM-$VERSION
# If there's a ChangeLog, installing at least part of the recent history
diff --git a/source/l/PyQt5/patches/pyqt5-python2-crash.patch b/source/l/PyQt5/patches/pyqt5-python2-crash.patch
deleted file mode 100644
index 14462f756..000000000
--- a/source/l/PyQt5/patches/pyqt5-python2-crash.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff -ur PyQt5_gpl-5.12.3/qpy/QtCore/qpycore_post_init.cpp.in PyQt5_gpl-5.12.3b/qpy/QtCore/qpycore_post_init.cpp.in
---- PyQt5_gpl-5.12.3/qpy/QtCore/qpycore_post_init.cpp.in 2019-06-25 14:41:02.000000000 +0200
-+++ PyQt5_gpl-5.12.3b/qpy/QtCore/qpycore_post_init.cpp.in 2019-07-01 17:06:34.882644535 +0200
-@@ -151,8 +151,4 @@
- // initialised first (at least for Windows) and this is the only way to
- // guarantee things are done in the right order.
- PyQtSlotProxy::mutex = new QMutex(QMutex::Recursive);
--
-- // Load the embedded qt.conf file if there is a bundled copy of Qt.
-- if (!qpycore_qt_conf())
-- Py_FatalError("PyQt5.QtCore: Unable to embed qt.conf");
- }
-
diff --git a/source/l/PyQt5_sip/PyQt5_sip.SlackBuild b/source/l/PyQt5_sip/PyQt5_sip.SlackBuild
new file mode 100755
index 000000000..f1872be12
--- /dev/null
+++ b/source/l/PyQt5_sip/PyQt5_sip.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Copyright 2008 Aleksandar Samardzic <asamardzic@gmail.com>
+# Copyright 2008, 2009, 2010, 2011, 2017, 2018, 2019, 2023 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackware.com>
+# Modified by Eric Hameleers <alien@slackware.com>
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=PyQt5_sip
+SRCNAM=PyQt5_sip
+VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | grep -E -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+else
+ SLKCFLAGS="-O2"
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+python3 -m build --wheel --no-isolation || exit 1
+
+python3 -m installer --destdir "$PKG" dist/*.whl || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ LICENSE* COPYING* ChangeLog NEWS README TODO doc/* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+chown -R root:root $PKG/usr/doc
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz
diff --git a/source/l/PyQt5_sip/PyQt5_sip.url b/source/l/PyQt5_sip/PyQt5_sip.url
new file mode 100644
index 000000000..da1ef0fab
--- /dev/null
+++ b/source/l/PyQt5_sip/PyQt5_sip.url
@@ -0,0 +1 @@
+https://pypi.org/project/PyQt5-sip/
diff --git a/source/l/PyQt5_sip/slack-desc b/source/l/PyQt5_sip/slack-desc
new file mode 100644
index 000000000..4ea22477f
--- /dev/null
+++ b/source/l/PyQt5_sip/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+PyQt5_sip: PyQt5_sip (PyQt5 sip Extension Module)
+PyQt5_sip:
+PyQt5_sip: The sip extension module provides support for the PyQt5 package.
+PyQt5_sip:
+PyQt5_sip: Homepage: https://pypi.org/project/PyQt5-sip/
+PyQt5_sip:
+PyQt5_sip:
+PyQt5_sip:
+PyQt5_sip:
+PyQt5_sip:
+PyQt5_sip:
diff --git a/source/l/QScintilla/QScintilla.SlackBuild b/source/l/QScintilla/QScintilla.SlackBuild
index a3edb3f5a..bfd3d6416 100755
--- a/source/l/QScintilla/QScintilla.SlackBuild
+++ b/source/l/QScintilla/QScintilla.SlackBuild
@@ -1,9 +1,7 @@
#!/bin/sh
-# Slackware build script for QScintilla
-
# Copyright 2008 Robby Workman <rworkman@slackware.com> Northport, AL, USA
-# Copyright 2008, 2009, 2010, 2011, 2012, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2018, 2019, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,8 +26,9 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=QScintilla
-VERSION=${VERSION:-$(echo ${PKGNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-5}
+SRCNAM=QScintilla_src
+VERSION=${VERSION:-$(echo ${SRCNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -75,12 +74,9 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf ${PKGNAM}-$VERSION
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
-cd ${PKGNAM}-$VERSION || exit 1
-
-# Fix compilation:
-zcat $CWD/QScintilla_qsciscintillabase_qurl.diff.gz | patch -p1 --verbose || exit 1
+rm -rf ${SRCNAM}-$VERSION
+tar xvf $CWD/${SRCNAM}-$VERSION.tar.?z || exit 1
+cd ${SRCNAM}-$VERSION || exit 1
chown -R root:root .
find . \
@@ -89,70 +85,57 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Prevent Qsci from failing to generate the bindings:
+export LD_LIBRARY_PATH=$TMP/${SRCNAM}-$VERSION/src
+
# Define QMAKEFEATURES to that we can re-use already built libs
# without spamming the harddisk:
-export QMAKEFEATURES=${PWD}/Qt4Qt5/features/
-
-# Conditional build of Qt5 support:
-if qtpaths-qt5 --qt-version 1>/dev/null 2>/dev/null ; then
- echo "-- Compiling Qt5 support --"
- # QT5 support first:
- cd Qt4Qt5
- echo "-- >> Qt4Qt5 --"
- qmake-qt5 \
- -o Makefile \
- QMAKE_CFLAGS+="$SLKCFLAGS" \
- QMAKE_CXXFLAGS+="$SLKCFLAGS -std=c++11" \
- qscintilla.pro || exit 1
- make $NUMJOBS || exit 1
- make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
- cd -
-
- cd designer-Qt4Qt5
- echo "-- >> designer-Qt4Qt5 --"
- qmake-qt5 \
- -o Makefile \
- INCLUDEPATH+=../Qt4Qt5 QMAKE_LIBDIR+=../Qt4Qt5 \
- QMAKE_CFLAGS+="$SLKCFLAGS" \
- QMAKE_CXXFLAGS+="$SLKCFLAGS -std=c++11" \
- designer.pro || exit 1
- make $NUMJOBS || exit 1
- make install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
- cd -
-
- cd Python
- echo "-- >> Python --"
- python3 configure.py \
- --verbose \
- --qmake /usr/bin/qmake-qt5 \
- --pyqt=PyQt5 \
- -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
- || exit 1
- make || exit 1
- make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
-
- make clean || exit 1
- ## No Qt5 python2 support!
- #python2 configure.py \
- # --verbose \
- # --qmake /usr/bin/qmake-qt5 \
- # --pyqt=PyQt5 \
- # -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
- # || exit 1
- #make || exit 1
- #make -j1 install DESTDIR=$PKG INSTALL_ROOT=$PKG || exit 1
- cd -
-fi
+export QMAKEFEATURES=${PWD}/src/features/
+cd src
+qmake-qt5
+make $NUMJOBS || exit 1
+
+cd ../designer
+qmake-qt5 INCLUDEPATH+=../src QMAKE_LIBDIR+=../src
+make $NUMJOBS || exit 1
+
+cd ../Python
+mv pyproject-qt5.toml pyproject.toml
+sip-build \
+ --no-make \
+ --qsci-features-dir ../src/features \
+ --qsci-include-dir ../src \
+ --qsci-library-dir ../src \
+ --api-dir /usr/share/qt5/qsci/api/python || exit 1
+cd build
+make $NUMJOBS || exit 1
+
+# Install:
+cd ../src
+make DESTDIR=$PKG INSTALL_ROOT=$PKG install || exit 1
+cd ../designer
+make DESTDIR=$PKG INSTALL_ROOT=$PKG install || exit 1
+cd ../Python/build
+make DESTDIR=$PKG INSTALL_ROOT=$PKG install || exit 1
+cd ../..
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- LICENSE NEWS README* \
- doc/html-Qt4Qt5 doc/Scintilla \
+ LICENSE* NEWS* README* \
+ doc/README.doc doc/Scintilla doc/html \
$PKG/usr/doc/$PKGNAM-$VERSION
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/source/l/QScintilla/QScintilla_qsciscintillabase_qurl.diff b/source/l/QScintilla/QScintilla_qsciscintillabase_qurl.diff
deleted file mode 100644
index 9720a4ba1..000000000
--- a/source/l/QScintilla/QScintilla_qsciscintillabase_qurl.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- QScintilla_gpl-2.11.1/Qt4Qt5/qsciscintillabase.cpp.orig
-+++ QScintilla_gpl-2.11.1/Qt4Qt5/qsciscintillabase.cpp
-@@ -37,6 +37,7 @@
- #include <QScrollBar>
- #include <QStyle>
- #include <QTextCodec>
-+#include <QUrl>
-
- #include "SciAccessibility.h"
- #include "ScintillaQt.h"
-
diff --git a/source/l/SDL2_image/SDL2_image.url b/source/l/SDL2_image/SDL2_image.url
index 1c115169f..c113c03d7 100644
--- a/source/l/SDL2_image/SDL2_image.url
+++ b/source/l/SDL2_image/SDL2_image.url
@@ -1,2 +1,2 @@
https://github.com/libsdl-org/SDL_image
-https://github.com/libsdl-org/SDL_image/releases/download/release-2.8.0/SDL2_image-2.8.0.tar.gz
+https://github.com/libsdl-org/SDL_image/releases/download/release-2.8.1/SDL2_image-2.8.1.tar.gz
diff --git a/source/l/sip/sip.SlackBuild b/source/l/sip/sip.SlackBuild
index b633c511f..922c884dc 100755
--- a/source/l/sip/sip.SlackBuild
+++ b/source/l/sip/sip.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2008 Aleksandar Samardzic <asamardzic@gmail.com>
-# Copyright 2008, 2009, 2010, 2011, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2017, 2018, 2019, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=sip
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-5}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -63,12 +63,6 @@ else
SLKCFLAGS="-O2"
fi
-PYTHON2VER=$(python2 -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d. 2>/dev/null)
-PYTHON2LIB=$( python2 -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()' 2>/dev/null )
-
-PYTHON3VER=$(python3 -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d. 2>/dev/null)
-PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' 2>/dev/null )
-
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -86,83 +80,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-python2 configure.py \
- -b "/usr/bin" \
- -d "$PYTHON2LIB" \
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" \
- || exit 1
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-## Add the PyQt4 private sip module:
-#make clean
-#python2 configure.py \
-# --sip-module PyQt4.sip \
-# --no-tools \
-# -b "/usr/bin" \
-# -d "$PYTHON2LIB" \
-# CFLAGS="$SLKCFLAGS" \
-# CXXFLAGS="$SLKCFLAGS" \
-# || exit 1
-#make $NUMJOBS || make || exit 1
-#make install DESTDIR=$PKG || exit 1
-
-# Add the PyQt5 private sip module:
-make clean
-python2 configure.py \
- --sip-module PyQt5.sip \
- --no-tools \
- -b "/usr/bin" \
- -d "$PYTHON2LIB" \
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" \
- || exit 1
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Rename to avoid a clash:
-mv $PKG/usr/bin/sip $PKG/usr/bin/sip2
-
-make clean
-
-python3 configure.py \
- -b "/usr/bin" \
- -d "$PYTHON3LIB" \
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" || exit 1
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-## Add the PyQt4 private sip module:
-#make clean
-#python3 configure.py \
-# --sip-module PyQt4.sip \
-# --no-tools \
-# -b "/usr/bin" \
-# -d "$PYTHON3LIB" \
-# CFLAGS="$SLKCFLAGS" \
-# CXXFLAGS="$SLKCFLAGS" || exit 1
-#make $NUMJOBS || make || exit 1
-#make install DESTDIR=$PKG || exit 1
-
-# Add the PyQt5 private sip module:
-make clean
-python3 configure.py \
- --sip-module PyQt5.sip \
- --no-tools \
- -b "/usr/bin" \
- -d "$PYTHON3LIB" \
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" || exit 1
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Rename to avoid a clash:
-mv $PKG/usr/bin/sip $PKG/usr/bin/sip3
-
-# Create a symbolic link 'sip' pointing to the sip3 binary:
-ln -s sip3 $PKG/usr/bin/sip
+python3 -m build --wheel --no-isolation || exit 1
+
+python3 -m installer --destdir "$PKG" dist/*.whl || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -186,4 +106,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz
-
diff --git a/source/l/sip/sip.url b/source/l/sip/sip.url
new file mode 100644
index 000000000..3b8d538b6
--- /dev/null
+++ b/source/l/sip/sip.url
@@ -0,0 +1 @@
+https://pypi.org/project/SIP/